<html>
<head>
<title>TestNG:  BookingTests</title>
<link href="../testng.css" rel="stylesheet" type="text/css" />
<link href="../my-testng.css" rel="stylesheet" type="text/css" />

<style type="text/css">
.log { display: none;} 
.stack-trace { display: none;} 
</style>
<script type="text/javascript">
<!--
function flip(e) {
  current = e.style.display;
  if (current == 'block') {
    e.style.display = 'none';
    return 0;
  }
  else {
    e.style.display = 'block';
    return 1;
  }
}

function toggleBox(szDivId, elem, msg1, msg2)
{
  var res = -1;  if (document.getElementById) {
    res = flip(document.getElementById(szDivId));
  }
  else if (document.all) {
    // this is the way old msie versions work
    res = flip(document.all[szDivId]);
  }
  if(elem) {
    if(res == 0) elem.innerHTML = msg1; else elem.innerHTML = msg2;
  }

}

function toggleAllBoxes() {
  if (document.getElementsByTagName) {
    d = document.getElementsByTagName('div');
    for (i = 0; i < d.length; i++) {
      if (d[i].className == 'log') {
        flip(d[i]);
      }
    }
  }
}

// -->
</script>

</head>
<body>
<h2 align='center'>BookingTests</h2><table border='1' align="center">
<tr>
<td>Tests passed/Failed/Skipped:</td><td>14/0/0</td>
</tr><tr>
<td>Started on:</td><td>Tue Sep 15 22:16:57 CEST 2020</td>
</tr>
<tr><td>Total time:</td><td>1 seconds (1528 ms)</td>
</tr><tr>
<td>Included groups:</td><td></td>
</tr><tr>
<td>Excluded groups:</td><td></td>
</tr>
</table><p/>
<small><i>(Hover the method name to see the test class name)</i></small><p/>
<table width='100%' border='1' class='invocation-passed'>
<tr><td colspan='4' align='center'><b>PASSED TESTS</b></td></tr>
<tr><td><b>Test method</b></td>
<td width="30%"><b>Exception</b></td>
<td width="10%"><b>Time (seconds)</b></td>
<td><b>Instance</b></td>
</tr>
<tr>
<td title='testCases.booking.GetBookingNegative.getBookingWithEmptyIdAndDate()'><b>getBookingWithEmptyIdAndDate</b><br>Test class: testCases.booking.GetBookingNegative</td>
<td></td>
<td>0</td>
<td>testCases.booking.GetBookingNegative@5442a311</td></tr>
<tr>
<td title='testCases.booking.GetBookingNegative.getBookingWithWrongDate()'><b>getBookingWithWrongDate</b><br>Test class: testCases.booking.GetBookingNegative</td>
<td></td>
<td>0</td>
<td>testCases.booking.GetBookingNegative@5442a311</td></tr>
<tr>
<td title='testCases.booking.GetBookingPositive.getBookingsWithDate()'><b>getBookingsWithDate</b><br>Test class: testCases.booking.GetBookingPositive</td>
<td></td>
<td>0</td>
<td>testCases.booking.GetBookingPositive@548e7350</td></tr>
<tr>
<td title='testCases.booking.GetBookingPositive.getBookingsWithId()'><b>getBookingsWithId</b><br>Test class: testCases.booking.GetBookingPositive</td>
<td></td>
<td>0</td>
<td>testCases.booking.GetBookingPositive@548e7350</td></tr>
<tr>
<td title='testCases.booking.GetBookingPositive.getBookingsWithIdAndDate()'><b>getBookingsWithIdAndDate</b><br>Test class: testCases.booking.GetBookingPositive</td>
<td></td>
<td>0</td>
<td>testCases.booking.GetBookingPositive@548e7350</td></tr>
<tr>
<td title='testCases.booking.PostBookingPositive.postBooking()'><b>postBooking</b><br>Test class: testCases.booking.PostBookingPositive</td>
<td></td>
<td>0</td>
<td>testCases.booking.PostBookingPositive@4667ae56</td></tr>
<tr>
<td title='testCases.booking.PostBookingNegative.postBookingWithEmptyDate()'><b>postBookingWithEmptyDate</b><br>Test class: testCases.booking.PostBookingNegative</td>
<td></td>
<td>0</td>
<td>testCases.booking.PostBookingNegative@1a968a59</td></tr>
<tr>
<td title='testCases.booking.PostBookingNegative.postBookingWithEmptyDestination()'><b>postBookingWithEmptyDestination</b><br>Test class: testCases.booking.PostBookingNegative</td>
<td></td>
<td>0</td>
<td>testCases.booking.PostBookingNegative@1a968a59</td></tr>
<tr>
<td title='testCases.booking.PostBookingNegative.postBookingWithEmptyId()'><b>postBookingWithEmptyId</b><br>Test class: testCases.booking.PostBookingNegative</td>
<td></td>
<td>0</td>
<td>testCases.booking.PostBookingNegative@1a968a59</td></tr>
<tr>
<td title='testCases.booking.PostBookingNegative.postBookingWithEmptyOrigin()'><b>postBookingWithEmptyOrigin</b><br>Test class: testCases.booking.PostBookingNegative</td>
<td></td>
<td>0</td>
<td>testCases.booking.PostBookingNegative@1a968a59</td></tr>
<tr>
<td title='testCases.booking.PostBookingNegative.postBookingWithWrongDate()'><b>postBookingWithWrongDate</b><br>Test class: testCases.booking.PostBookingNegative</td>
<td></td>
<td>0</td>
<td>testCases.booking.PostBookingNegative@1a968a59</td></tr>
<tr>
<td title='testCases.booking.PostBookingNegative.postBookingWithWrongDestination()'><b>postBookingWithWrongDestination</b><br>Test class: testCases.booking.PostBookingNegative</td>
<td></td>
<td>0</td>
<td>testCases.booking.PostBookingNegative@1a968a59</td></tr>
<tr>
<td title='testCases.booking.PostBookingNegative.postBookingWithWrongId()'><b>postBookingWithWrongId</b><br>Test class: testCases.booking.PostBookingNegative</td>
<td></td>
<td>0</td>
<td>testCases.booking.PostBookingNegative@1a968a59</td></tr>
<tr>
<td title='testCases.booking.PostBookingNegative.postBookingWithWrongOrigin()'><b>postBookingWithWrongOrigin</b><br>Test class: testCases.booking.PostBookingNegative</td>
<td></td>
<td>0</td>
<td>testCases.booking.PostBookingNegative@1a968a59</td></tr>
</table><p>
</body>
</html>